Temps de lecture estimé : 8 min · Publié le
Montrer le statut réel d’une réservation
Le parcours dépend de la source des disponibilités et du mode de validation. Ce schéma est une grille de lecture : il ne suppose pas que chaque site peut confirmer immédiatement.
- Choix
Dates, capacité et prestation sont identifiées.
- Vérification
La source utilisée confirme ou non la possibilité demandée.
- Conditions
La personne peut vérifier ce qui est proposé avant de poursuivre.
- Statut final
Demande reçue, option ou réservation confirmée sont nommées sans ambiguïté.
Scénarios pédagogiques fictifs à adapter à votre système. Cette page n’effectue aucune opération sur votre site.
Ouvrir la situation à vérifier
Le formulaire ne fait qu’envoyer une demande
- Ce que l’on sait
- La disponibilité n’a pas nécessairement été validée.
- La vérification suivante
- Employer des termes de demande dans le bouton, le récapitulatif et le message, puis expliquer la suite avant confirmation.
Le retour depuis un prestataire est interrompu
- Ce que l’on sait
- Le navigateur n’affiche pas de résultat certain.
- La vérification suivante
- Vérifier le statut dans le système de réservation avant de demander de recommencer ; conserver la référence disponible.
Une date change en cours de parcours
- Ce que l’on sait
- L’ancienne proposition ne décrit plus forcément le séjour ou le créneau demandé.
- La vérification suivante
- Contrôler de nouveau disponibilités, conditions et récapitulatif avec les nouvelles dates.
Deux essais demandent la dernière place
- Ce que l’on sait
- Le scénario fictif prévoit une seule place, demandée presque simultanément par BOOK-A et BOOK-B.
- La vérification suivante
- Vérifier l’arbitrage dans la source de disponibilité et les deux messages. Le contrat de cet essai ne permet pas deux confirmations pour cette place unique.
- Trace à conserver
- État initial d’une place, références BOOK-A et BOOK-B, statuts enregistrés et messages ; remettre la copie d’essai dans son état initial ensuite.
Référence technique : W3C WAI · User Notification · Consultée le .
Définir ce qui peut être réservé
Listez les prestations, leur durée, les personnes ou ressources nécessaires, les pauses et les délais entre deux créneaux. Une disponibilité affichée doit correspondre à une capacité réelle. Vérifiez les horaires exceptionnels, les fuseaux horaires concernés et le moment où un créneau est bloqué pendant la saisie.
Préparez une petite matrice : réservation simple, dernier créneau libre, deux personnes tentant le même créneau, prestation indisponible et demande hors horaires. Associez à chaque scénario le résultat attendu côté visiteur et dans le calendrier de l’équipe. Le guide sur les formulaires aide à limiter les informations demandées.
- Capacité et durée documentées.
- Conflit de créneau testé.
- Horaires et indisponibilités mis à jour par une personne identifiée.
Suivre la demande jusqu’à sa confirmation
Partez d’une page de service et terminez une réservation sur mobile, puis au clavier. Vérifiez le choix du créneau, le récapitulatif, les éventuels frais, les champs obligatoires et le message qui suit l’envoi. Si un paiement est demandé, testez séparément l’acceptation, le refus et l’abandon, sans supposer qu’une page de succès prouve la réception du paiement.
Comparez la confirmation reçue par le client, l’enregistrement dans l’outil de l’équipe et les notifications internes. Ils doivent décrire la même prestation, la même date, le même statut et un moyen de corriger une erreur. Ne publiez pas une réservation comme confirmée si une validation humaine reste nécessaire.
- Statut identique dans les trois endroits.
- Message de confirmation compréhensible.
- Erreur ou paiement refusé sans faux créneau confirmé.
Prévoir modification, annulation et absence
Testez une modification qui libère l’ancien créneau et occupe le nouveau, puis une annulation qui rend la place disponible selon les règles annoncées. Une demande reçue par courriel ou téléphone doit aussi être répercutée dans le calendrier. Vérifiez ce que voient les deux parties lorsque la modification échoue à mi-parcours.
Décrivez les règles commerciales applicables dans des mots validés par l’organisation ; le site doit les montrer avant la décision, sans laisser croire qu’un simple message d’annulation vaut automatiquement remboursement. Préparez un canal alternatif si le service de réservation ne fonctionne plus.
- Ancien et nouveau créneaux cohérents.
- Règles visibles avant validation.
- Canal de secours connu de l’équipe.
Recetter le travail quotidien
Demandez aux personnes qui gèrent les rendez-vous d’accomplir leurs tâches habituelles : ouvrir une plage, fermer une absence, déplacer un rendez-vous, retrouver une demande et vérifier une journée chargée. Notez les gestes qui exigent une double saisie ou la consultation d’un autre outil ; ce sont des sources fréquentes d’erreur.
Avant la mise en ligne, attribuez la surveillance des confirmations et des échecs, conservez des scénarios de test reproductibles et vérifiez la première vraie réservation avec une personne autorisée. Le contrôle avant publication couvre le reste du site.
- Gestionnaire formé sur des cas réels.
- Échecs visibles et traitables.
- Première réservation de production vérifiée.
Contrôler la date avant et après acceptation
Testez une date saisie, un créneau choisi et une réservation acceptée comme trois états distincts. Relisez la date et le contexte horaire dans le récapitulatif et le courriel. Une disponibilité affichée au départ peut avoir changé au moment de confirmer ; le formulaire doit proposer une reprise avec les renseignements conservés.
Préparez aussi une fermeture de fenêtre pendant l’attente. Elle ne doit pas être présentée comme l’annulation garantie d’une réservation si le service peut déjà l’avoir acceptée. Le résultat doit rester vérifiable pour éviter une nouvelle demande qui créerait une seconde réservation.
Concevoir une saisie de date et un calendrier de réservation · Rédiger et annoncer les messages d’état d’une interface · Concevoir et tester une fenêtre de dialogue modale
Relire une réservation à partir d’un récapitulatif concret
Exemple fictif : une personne choisit une consultation de 30 minutes le 18 novembre 2026 à 10 h, fuseau Europe/Paris. Le créneau affiché est une proposition tant que le système compétent ne l’a pas accepté. Le récapitulatif doit distinguer ce choix de l’engagement final.
Faites défiler le tableau horizontalement pour lire toutes les colonnes. Au clavier, placez le focus sur le tableau puis utilisez les flèches.
| Moment | Information montrée | Action proposée |
|---|---|---|
| Avant validation | Consultation · 18 novembre 2026 · 10 h · Europe/Paris · 30 min · 1 personne. | Vérifier aussi prix et conditions applicables, puis permettre de corriger le choix. |
| Disponibilité à revérifier | Le créneau choisi ne peut pas encore être confirmé. | Conserver les informations utiles et proposer un autre créneau ou un suivi. |
| Réservation acceptée | Confirmation DEMO-208, date, heure, fuseau et prestation inchangés. | Fournir le moyen réellement prévu pour retrouver ou modifier la réservation. |
- W3C WAI · WCAG 2.2 · 3.3.4
Pour les actions concernées par WCAG 3.3.4, le W3C décrit les possibilités de correction, de vérification ou de réversibilité. Ce modèle ne définit ni tarif, ni disponibilité, ni règle d’annulation commerciale.
Garder la continuité du parcours de réservation
Suivez une réservation depuis les coordonnées jusqu’au récapitulatif, y compris une éventuelle étape chez un prestataire de paiement. Le retour arrière doit préserver les informations encore valides ; un changement de dates peut demander une nouvelle vérification de disponibilité sans imposer de ressaisir le nom.
Faites défiler le tableau horizontalement pour lire toutes les colonnes. Au clavier, placez le focus sur le tableau puis utilisez les flèches.
| Situation | Résultat attendu | Limite à vérifier |
|---|---|---|
| Retour au récapitulatif | Les coordonnées déjà données restent disponibles. | Changer les dates et vérifier de nouveau la disponibilité. |
| Adresse de facturation | Proposer de sélectionner une adresse déjà fournie lorsque c’est pertinent. | Permettre de revenir sur ce choix avant confirmation. |
| Connexion demandée | Vérifier gestionnaire de mots de passe et collage du code. | Tester expiration puis récupération du parcours. |
- W3C WAI · WCAG 3.3.7
Lire la portée et les exceptions du critère ; ce scénario est une application pratique, pas un certificat de conformité.
Annuler une seule place dans une réservation de groupe
Exemple fictif : la réservation DEMO-G3 concerne trois personnes ; une seule demande son annulation. Distinguez la demande de modification de son acceptation. Dans le scénario proposé, les trois places restent actives pendant l’examen ; deux seulement restent actives après confirmation de l’annulation partielle.
Comparez le récapitulatif du client et l’outil de l’équipe : participants conservés, capacité libérée et référence doivent correspondre. Une notification ne doit pas annoncer l’annulation de tout le groupe. Les éventuels frais ou remboursements restent des décisions distinctes, selon les conditions réellement applicables.
Faites défiler le tableau horizontalement pour lire toutes les colonnes. Au clavier, placez le focus sur le tableau puis utilisez les flèches.
| État | Places actives | Contrôle |
|---|---|---|
| Situation initiale | 3 | Les trois personnes figurent dans la réservation. |
| Modification à examiner | 3 | Afficher une demande en attente, sans libération confirmée. |
| Annulation partielle acceptée | 2 | Libérer une place et conserver les deux participants restants. |
- Préparer les messages d’état
Annoncer le résultat aux technologies d’assistance.
Vérifier aussi la copie ajoutée au calendrier
Si un ajout au calendrier est proposé, identifiez ce qui est fourni : copie de fichier, abonnement ou invitation. iCalendar décrit le format des événements ; iTIP décrit des échanges de planification. Ces mécanismes ne prouvent pas à eux seuls que tous les agendas utilisés recevront les changements. L’outil de réservation reste la référence pour le statut de la demande.
Exercice fictif : déplacez DEMO-C1 du 18 novembre à 10 h au 19 novembre à 11 h, fuseau Europe/Paris. Après confirmation dans l’outil, comparez le courriel, le récapitulatif et l’agenda de test. Recherchez un ancien rendez-vous encore présenté comme actif ; indiquez comment le corriger si la mise à jour n’est pas automatique.
- Relire date, heure, fuseau et durée après l’import.
- Tester modification et annulation dans les agendas réellement utilisés.
- Ne pas transmettre de notes internes dans le titre ou la description partagés.
- RFC 5545 : iCalendar
Format des événements.
- RFC 5546 : iTIP
Échanges de mise à jour et d’annulation.
Documents de référence
- W3C WAI · User Notification · Source consultée
- W3C WAI : Forms Tutorial
- W3C WAI · WCAG 2.2 · 3.3.4 · Source consultée
- RFC 5545 : iCalendar · Source consultée
- RFC 5546 : iTIP · Source consultée
- W3C : Understanding Status Messages · Source consultée
Complément de lecture
Pour un parcours touristique, cette grille fournit un exemple concret des informations que le voyageur cherche avant de confirmer : prestations, voyageurs, prix et conditions. Elle peut aider à relire les étapes de demande et de récapitulatif d’un site de voyage, avec validation des contenus par le professionnel concerné.
Agences de voyages : les points à vérifier dans un devis de voyage
Contenu mis à jour le
Repères documentaires pour ce sujet
| Référence | Valeur ou syntaxe | Portée du repère |
|---|---|---|
| RFC 3339 · Date-time | 2026-10-22T09:00:00+02:00 | Le décalage explicite relie l’heure locale à UTC ; cet exemple n’est pas un rendez-vous. |
| WCAG 2.2 · 3.3.7 | A · same process | Dans un même processus, une information déjà fournie doit être préremplie ou disponible à la sélection, sauf exceptions du critère. L’autocomplétion du navigateur seule ne suffit pas ; le site doit proposer la donnée déjà reçue ou éviter de la redemander. |
| WCAG 2.2 · 3.3.8 | AA · authentication | Une étape d’authentification qui exige de mémoriser ou transcrire doit offrir une aide ou une autre voie, selon les exceptions du critère. Tester le gestionnaire de mots de passe et le collage des codes ; une alternative audio à transcrire ne supprime pas à elle seule l’effort cognitif. |
Les dates indiquent la consultation des références. Ces repères ne constituent ni un audit du site ni une déclaration globale de conformité.
